Get the list of payment methods available for your purchase.

Send this request providing, at the very least, the brand_id and currency query parameters having the same values you'd use to create your Purchase. Be sure to use the same API key you'll create your Purchase with; it will define the test_mode setting used in the lookup.

In the response body you'll receive an object with available_payment_methods property containing the list of payment method names available to use with your Purchase (e.g. those codes can be used in payment_method_whitelist field or with ?preferred={payment_method} option of checkout_url).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Which brand would you like to lookup the available payment methods for. Use the same value (UUID) you'd set the Purchase.brand_id to.

string
required

Currency you'd use in your Purchase in ISO 4217 format, e.g. EUR.

string

Country code in the ISO 3166-1 alpha-2 format (e.g. GB). Optional.

boolean

If provided in the format of recurring=true, will filter out the methods that don't support recurring charges (see POST /purchases/{id}/charge/).

boolean

If provided in the format of skip_capture=true, will filter out the methods that don't support skip_capture functionality (see the description for Purchase.skip_capture field).

boolean

If provided in the format of preauthorization=true, will filter out the methods that don't support preauthorization functionality (see the description for Purchase.skip_capture field).

string

Language code in the ISO 639-1 format (e.g. 'en'). Optional.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json